Skip to main content
POST
Create a campaign ticket

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

campaign
integer
required

The campaign ID

Body

application/json
name
string
required
Maximum string length: 255
price
number
required
Required range: x >= 0
total_quantity
integer | null
Required range: x >= 0
subtype
enum<string> | null
Available options:
physical,
digital,
hybrid
Maximum string length: 255
active
boolean | null
retail_price
number | null
Required range: x >= 0
description
string | null
Maximum string length: 5000
bundle_only
boolean | null
hide_remaining
boolean | null
scope
enum<string> | null
Available options:
registrant,
event
Maximum string length: 255
bundles
string[] | null
custom_fields
string[] | null
pictures
string[] | null

Response

CampaignItemTicketResource

id
string
required
campaign_id
string
required
name
string
required
description
string
required
price
string
required
total_quantity
string
required
subtype
string
required
active
string
required
retail_price
string
required
bundle_only
string
required
hide_remaining
string
required
scope
string
required
bundles
string
required
custom_fields
string
required
pictures
string
required